.::SWF::SoundInstance(3)

NAME
SWF::SoundInstance - SWF Sound Instance class

SYNOPSIS
        use SWF::Sound;
        use SWF::SoundInstance;
        $sound = new SWF::Sound("test.mp3");
        $snd_instance = $movie->startSound($sound);
        $snd_instance->loopInPoint(4000);
        $snd_instance->loopOutPoint(8000);
        $snd_instance->loopCount(2);

DESCRIPTION
SWF::SoundStream is a helper class useful for setting information about a sound instance. There is no constructor method, SWF::SoundStream objects are available only thru:

startSound() method of SWF::Movie,
startSound() method of SWF::MovieClip,
addSound()   method of SWF::Button.

METHODS

$snd_instance->noMultiple()
    Prohibits starting sound if sound is already playing.

$snd_instance->loopInPoint($point)
    Sets the loop start $point counted in samples.

$snd_instance->loopOutPoint($point)
    Sets the loop's last sample to play.

$snd_instance->loopCount($count)
    Sets loop count. The default value is 1 loop.

$snd_instance->addEnvelope($mark44, $left, $right)
    Adds a SoundEnvelope to event sound. Parameters are $mark44, the Position in 44khz samples, and volumes both for left and right stereo channel. Next example will mute the right channel:

            $snd_instance->addEnvelope(0,10000,0);

AUTHOR
developers of ming.sourceforge.net, Albrecht Kleine

SEE ALSO
SWF, SWF:: Movie, SWF::MovieClip, SWF::Button, SWF::Sound, SWF::SoundStream, SWF::Constants